Bug 77457 - hostid replies with same identifier = 7f0100
Summary: hostid replies with same identifier = 7f0100
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-07 12:06 UTC by lattier
Modified: 2016-11-24 15:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 12:46:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description lattier 2002-11-07 12:06:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; SunOS 5.7 sun4u)

Description of problem:
running hostid command on different stations ; got the same result = 
7f0100

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run hostid on each station
2.
3.
	

Actual Results:  7f0100

Expected Results:  an unique identifier for each station

Additional info:

Comment 1 Tim Waugh 2004-12-10 12:36:40 UTC
The hostid program just calls the gethostid() function from the C library.

Comment 2 Jakub Jelinek 2004-12-10 12:46:31 UTC
If /etc/hostid doesn't exist (where you can set hostid to anything you want),
gethostid returns IP address of your hostname.
So it depends on how have you configured your networking.
7f0100 means your hostname's IP address is on lo interface, just don't do that.


Note You need to log in before you can comment on or make changes to this bug.